openSUSE Security Update : chromium (openSUSE-2020-1831)

critical Nessus Plugin ID 142555

Language:

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for chromium fixes the following issues :

- Update to 86.0.4240.183 boo#1178375

- CVE-2020-16004: Use after free in user interface.

- CVE-2020-16005: Insufficient policy enforcement in ANGLE.

- CVE-2020-16006: Inappropriate implementation in V8

- CVE-2020-16007: Insufficient data validation in installer.

- CVE-2020-16008: Stack-based buffer overflow in WebRTC.

- CVE-2020-16009: Inappropriate implementation in V8.

- CVE-2020-16011: Heap buffer overflow in UI on Windows.

Solution

Update the affected chromium packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1178375

Plugin Details

Severity: Critical

ID: 142555

File Name: openSUSE-2020-1831.nasl

Version: 1.7

Type: local

Agent: unix

Published: 11/6/2020

Updated: 1/24/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Critical

Score: 9

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5.9

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2020-16011

CVSS v3

Risk Factor: Critical

Base Score: 9.6

Temporal Score: 9.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:chromedriver, p-cpe:/a:novell:opensuse:chromedriver-debuginfo, p-cpe:/a:novell:opensuse:chromium, p-cpe:/a:novell:opensuse:chromium-debuginfo, cpe:/o:novell:opensuse:15.1, cpe:/o:novell:opensuse:15.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 11/5/2020

Vulnerability Publication Date: 11/3/2020

CISA Known Exploited Dates: 5/3/2022

Reference Information

CVE: CVE-2020-16004, CVE-2020-16005, CVE-2020-16006, CVE-2020-16007, CVE-2020-16008, CVE-2020-16009, CVE-2020-16011